TOASCII(3)

NAME
toascii - convert character to ASCII

SYNOPSIS
#include <ctype.h>

int toascii(int c);

Feature Test Macro Requirements for glibc (see feature_test_macros(7)):

toascii(): _BSD_SOURCE || _SVID_SOURCE || _XOPEN_SOURCE

DESCRIPTION
toascii() converts c to a 7-bit unsigned char value that fits into the ASCII character set, by clearing the high-order bits.

RETURN VALUE
The value returned is that of the converted character.

ATTRIBUTES

  Multithreading (see pthreads(7))
The toascii() function is thread-safe.

CONFORMING TO
SVr4, BSD, POSIX.1-2001. POSIX.1-2008 marks toascii() as obsolete, noting that it cannot be used portably in a localized application.

BUGS
Many people will be unhappy if you use this function. This function will convert accented letters into random characters.

SEE ALSO
isascii(3), tolower(3), toupper(3)

COLOPHON
This page is part of release 3.69 of the Linux man-pages project. A description of the project, information about reporting bugs, and the latest version of this page, can be found at http://www.kernel.org/doc/man-pages/.